<!DOCTYPE HTML>
<html>
<head>
{% block scripts %}

<script>

window.onload = function () {
var k = {{ dataPoints|safe }}

var options = {
	animationEnabled: true,
	title: {
		text: "Graph Representation",                
		fontColor: "black"
	},	
	axisY: {
		tickThickness: 0,
		lineThickness: 0,
		valueFormatString: " ",
		gridThickness: 0                    
	},
	axisX: {
		tickThickness: 0,
		lineThickness: 0,
		labelFontSize: 18,
		labelFontColor: "Peru"				
    },
    data: [{
		indexLabelFontSize: 26,
		toolTipContent: "<span style=\"color:#62C9C3\">{indexLabel}:</span> <span style=\"color:#CD853F\"><strong>{y}</strong></span>",
		indexLabelPlacement: "inside",
		indexLabelFontColor: "black",
		indexLabelFontWeight: 600,
		indexLabelFontFamily: "Verdana",
		color: "#62C9C3",
		type: "bar",
		dataPoints: k
	}]
	// data: [{
	// 	indexLabelFontSize: 26,
	// 	toolTipContent: "<span style=\"color:#62C9C3\">{indexLabel}:</span> <span style=\"color:#CD853F\"><strong>{y}</strong></span>",
	// 	indexLabelPlacement: "inside",
	// 	indexLabelFontColor: "white",
	// 	indexLabelFontFamily: "Verdana",
	// 	color: "#62C9C3",
	// 	type: "bar",
	// 	dataPoints: k
	// }]
};
console.log(options);
$("#chartContainer").CanvasJSChart(options);
}
</script>
{% endblock %}
<style>
@media print {
                .print, .print * {
                    display: none;
                }
            }
</style>
</head>
<body>
<div id="chartContainer" style="height: 300px; width: 100%;"></div>
<script type="text/javascript" src="https://canvasjs.com/assets/script/jquery-1.11.1.min.js"></script>
<script type="text/javascript" src="https://canvasjs.com/assets/script/jquery.canvasjs.min.js"></script>
<div class="print" style="text-align:center"><button onclick="print()"><a><h3>Download Response</h3></a></button></div><br/>
 <div class="print" style="text-align:center"><button><a href = "{{ url_for('adminhome') }}"><h3>Go back to Home</h3></a></button></div>
 <script>
  $(document).ready(function () {
                setTimeout(function(){
                  location.reload(true);
                }, 10000);       
            });
</script>
</body>
</html>